POST /data/playlists/{playlist_id}/notify-clients

Notify clients that given playlist is ready for review.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

application/json

Body

  • studio_id string(uuid)

    Studio unique identifier to notify

  • department_id string(uuid)

    Department unique identifier to notify

Responses

  • 200 application/json

    Clients notified successfully

    Hide response attribute Show response attribute object
    • status string

      Notification status

POST /data/playlists/{playlist_id}/notify-clients
curl -X POST "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/notify-clients" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "studio_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "department_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}'
import requests

url = "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/notify-clients"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "studio_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "department_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/notify-clients' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"studio_id":"b35b7fb5-df86-5776-b181-68564193d36","department_id":"c46c8gc6-eg97-6887-c292-79675204e47"}'
Request examples
{
  "studio_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "department_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}
Response examples (200)
{
  "status": "success"
}